## org.biojava.bio.structure.io
Interface StructureIOFile

All Superinterfaces:
  StructureIO

All Known Implementing Classes:
  PDBFileReader

    public interface StructureIOFile

extends StructureIO

interface StructureIOFile extends the StructureIO interface and adds a few File specific methods.

Author:
  Andreas Prlic

Method Summary
`void` `addExtension(java.lang.String ext)` add a known File extension.
`Structure` `getStructure(java.lang.String filename)` open filename and returns a Structure object.
`void` `setPath(java.lang.String path)` set path to file / connection string to db.

Methods inherited from interface org.biojava.bio.structure.io.StructureIO
`getStructureById`

Method Detail

### setPath

    void setPath(java.lang.String path)

  set path to file / connection string to db.

  Parameters:
    `path` - a String specifying the path value

### addExtension

    void addExtension(java.lang.String ext)

  add a known File extension.

  Parameters:
    `ext` - a String ...

### getStructure

    Structure getStructure(java.lang.String filename)
                           throws java.io.IOException

  open filename and returns a Structure object.

  Parameters:
    `filename` - a String
  Returns:
    a Structure object
  Throws:
    `java.io.IOException` - ...